# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85.0"
name = "cdk-ffi"
version = "0.14.2-rc.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "FFI bindings for cdk wallet"
homepage = "https://github.com/cashubtc/cdk"
readme = "README.md"
license = "MIT"
repository = "https://github.com/cashubtc/cdk.git"

[features]
default = ["postgres"]
postgres = ["cdk-postgres"]

[lib]
name = "cdk_ffi"
crate-type = [
    "cdylib",
    "staticlib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "uniffi-bindgen"
path = "src/bin/uniffi-bindgen.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.bip39]
version = "2.0"
features = ["rand"]

[dependencies.cdk]
version = "=0.14.2-rc.3"
features = [
    "wallet",
    "auth",
    "bip353",
]
default-features = false

[dependencies.cdk-postgres]
version = "=0.14.2-rc.3"
optional = true
default-features = true

[dependencies.cdk-sqlite]
version = "=0.14.2-rc.3"
default-features = true

[dependencies.futures]
version = "0.3.28"
features = ["async-await"]
default-features = false

[dependencies.once_cell]
version = "1.20.2"

[dependencies.rand]
version = "0.9.1"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "test-util",
    "sync",
    "sync",
    "rt",
    "rt-multi-thread",
]
default-features = false

[dependencies.uniffi]
version = "0.29"
features = [
    "cli",
    "tokio",
]

[dependencies.url]
version = "2.3"

[dependencies.uuid]
version = "1.17"
features = [
    "v4",
    "serde",
    "v4",
]

[dev-dependencies]
